## 关于标准桌面中酒店菜单开关解耦，终端的适配方案

### 1、应用禁用

#### 1.1、顶级白名单

提供应用禁用顶级白名单 TOP_APP_DISABLE_IGNORE_LIST。

白名单包含标准桌面的包名[com.tcl.btv.mode]，管控在实际禁用APP之前移除顶级白名单中的包名。

#### 1.2 launcher禁用逻辑

通用模式下依据launcher进行应用禁用(之前是直接设置cyberUI)，关注launcher为空的情况(获取默认launcher)。

### 2、管控注册和上报

管控注册和上报取消对当前酒店模式的判断。

### 3、自升级和OTA升级

#### 3.1 开放管控的平台自升级

取消仅在酒店模式下的管控平台自升级

#### 3.2 处理OTA升级和API_APK升级

酒店模式下，保留OTA升级和API级别的APK升级

通用模式下，禁止OTA升级和API级别的APK升级

### 4、授权管理

#### 4.1 授权流程

![image-20230828171158073](./image-20230828171158073.png)

点我直接访问：https://boardmix.cn/app/share/CAE.CIvHpQwgASoQF6adR8gY_vO0kLwd5JX_xjAFQAE/AhkfFx

#### 4.2 默认策略流程

![image-20230828171015608](./image-20230828171015608.png)

点我直接访问：https://boardmix.cn/app/share/CAE.CIvHpQwgASoQPQD0ufnMS4Y0WnriwOVg7zAFQAE/AhkfFx

#### **4.3 待确认**

之前的授权方案是酒店模式下，现在开放成通用模式和酒店模式之后，授权流程是否需要有调整。