# 1、代码下载

https://git.tclyun.cn/AwesomeHotel/TaikangVideoCall.git

# 2、编译环境

Android Studio版本： 2022.2.1 Patch 2

jdk版本：Java 11

Gradle Plugin Version：7.0.4

Gradle Version：7.5

Kotlin版本：1.8.0

# 3、代码结构

## 3.1 app

### 1、监听开机广播进行视频通话SDK初始化

```kotlin
com.tcl.ah.tkvideocall.receiver.TclBroadcastReceiver
```

### 2、添加前台服务，提高应用存活率

```kotlin
com.tcl.ah.tkvideocall.service.TKForegroundService
```

### 3、新增自定义广播被比利APP拉起

```kotlin
com.tcl.ah.tkvideocall.receiver.NotifyBroadcastReceiver
```

### 4、处理APP自升级

```kotlin
com.tcl.ah.tkvideocall.utils.UpdateHelper
```

### 5、处理泰康的数据收集

```kotlin
com.tcl.ah.tkvideocall.http.NetHelper
```

## 3.2 tuicallkit-kt

### 1、tuicallkit

这个是腾讯通话SDK提供的UI源码，主要负责视频通话底层的实现

### 2、vodeo_call

基于视频通话SDK底层的实现，开发出的适合业务的UI层面。

#### 2.1 config

主要配置定制参数属性，包括APPSDKID，SECRETKEY，泰康的后台接口HOST，通过超时时间等等。

#### 2.2 hepler

针对通话，对话框，im，按键监听，日志，登录和录制功能提供了对应的帮助类

#### 2.3 listener

对外暴露的时间监听总入口，给到app或者其他模块使用

#### 2.4 model

通用数据模型

#### 2.5 utils

通用工具类

#### 2.6 view

通用View的自定义模块，包含提示View，对话框View，视频录制View和功能切换View，方便在不同场景下的复用和解耦

####  [TaikangVideoCallHelper.kt](../../../tcl/TaikangVideoCall/tuicallkit-kt/src/main/java/com/tencent/qcloud/tuikit/video_call/TaikangVideoCallHelper.kt) 

module对外开放的统一入口，所有对外的交互都在这个统一入口体现。







